import request from '@/utils/request'

// 查询网络监测列表
export function listCybersecurity(query) {
  return request({
    url: '/tcZz/networkSecurity/cybersecurity/list',
    method: 'get',
    params: query
  })
}

// 查询网络监测详细
export function getCybersecurity(id) {
  return request({
    url: '/tcZz/networkSecurity/cybersecurity/' + id,
    method: 'get'
  })
}

// 新增网络监测
export function addCybersecurity(data) {
  return request({
    url: '/tcZz/networkSecurity/cybersecurity',
    method: 'post',
    data: data
  })
}

// 修改网络监测
export function updateCybersecurity(data) {
  return request({
    url: '/tcZz/networkSecurity/cybersecurity',
    method: 'put',
    data: data
  })
}

// 删除网络监测
export function delCybersecurity(id) {
  return request({
    url: '/tcZz/networkSecurity/cybersecurity/' + id,
    method: 'delete'
  })
}
